<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'moblyze',

    /*
     * Package.
     */
    'package'   => 'forms',

    /*
     * Modules.
     */
    'modules'   => ['forms', 
'user'],

    'forms'       => [
        'model' => [
            'model'                 => \Moblyze\Forms\Models\Forms::class,
            'table'                 => 'forms',
            'presenter'             => \Moblyze\Forms\Repositories\Presenter\FormsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'imo_number',  'company_name',  'contact_details',  'weather',  'visibility',  'vessel_activity',  'passenger',  'others',  'pilot_board',  'cargo_board',  'cargo_type',  'consequences',  'other_consequences',  'description',  'happened_desc',  'prevent_desc',  'person_name',  'person_role',  'person_phone',  'form_copy',  'files',  'no_of_people',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'forms/forms',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Forms',
            'module'    => 'Forms',
        ],

    ],

    'user'       => [
        'model' => [
            'model'                 => \Moblyze\Forms\Models\User::class,
            'table'                 => 'users',
            'presenter'             => \Moblyze\Forms\Repositories\Presenter\UserPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'australian_citizen',  'treatment',  'affected_person',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'forms/user',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Forms',
            'module'    => 'User',
        ],

    ],
];
