<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateFormsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: forms
         */
        Schema::create('forms', function ($table) {
            $table->increments('id');
            $table->string('imo_number', 255)->nullable();
            $table->string('company_name', 255)->nullable();
            $table->text('contact_details')->nullable();
            $table->string('weather', 255)->nullable();
            $table->enum('visibility', ['Good','Moderate','Poor','Unknown'])->nullable();
            $table->string('vessel_activity', 255)->nullable();
            $table->integer('passenger')->nullable();
            $table->integer('others')->nullable();
            $table->enum('pilot_board', ['Yes','No'])->nullable();
            $table->enum('cargo_board', ['Yes','No'])->nullable();
            $table->string('cargo_type', 255)->nullable();
            $table->enum('consequences', ['Injury','Illness','Death','Medical evacuation','Man overboard','Presumed lost','Equipment/Machinery failure','Damage','Loss of cargo/Dangerous goods','Contact','Collision','Leakage/Spillage of dangerous goods','MARPOL issues','Fire/Smoke','Grounding','Drifting','Foundering/Sinking','Flooding','Near miss/Dangerous occurrence','Other'])->nullable();
            $table->text('other_consequences')->nullable();
            $table->text('description')->nullable();
            $table->text('happened_desc')->nullable();
            $table->text('prevent_desc')->nullable();
            $table->string('person_name', 255)->nullable();
            $table->string('person_role', 255)->nullable();
            $table->string('person_phone', 255)->nullable();
            $table->enum('form_copy', ['Yes','No'])->nullable();
            $table->text('files')->nullable();
            $table->integer('no_of_people')->nullable();
            $table->string('slug', 255)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('forms');
    }
}
