<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateUsersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: users
         */
        Schema::create('users', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->enum('australian_citizen', ['Yes','No'])->nullable();
            $table->text('treatment')->nullable();
            $table->enum('affected_person', ['crew','passenger'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('users');
    }
}
