Lavalite package that provides forms management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `moblyze/forms`.

    "moblyze/forms": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Moblyze\Forms\Providers\FormsServiceProvider::class,

And also add it to alias

    'Forms'  => Moblyze\Forms\Facades\Forms::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Moblyze\\FormsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Moblyze\Forms\Providers\FormsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Moblyze\Forms\Providers\FormsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Moblyze\Forms\Providers\FormsServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/forms/{modulename}

**User**

    http://path-to-route-folder/user/forms/{modulename}

**Public**

    http://path-to-route-folder/forms


### API endpoints

**List**

    http://path-to-route-folder/api/user/forms/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/forms/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/forms/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/forms/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/forms/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/forms/{modulename}/{slug}
    METHOD: GET