<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for forms in forms package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  forms module in forms package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Forms',
    'names'         => 'Forms',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Forms',
        'sub'   => 'Forms',
        'list'  => 'List of forms',
        'edit'  => 'Edit forms',
        'create'    => 'Create new forms'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'visibility'          => ['Good','Moderate','Poor','Unknown'],
            'pilot_board'         => ['Yes','No'],
            'cargo_board'         => ['Yes','No'],
            'consequences'        => ['Injury','Illness','Death','Medical evacuation','Man overboard','Presumed lost','Equipment/Machinery failure','Damage','Loss of cargo/Dangerous goods','Contact','Collision','Leakage/Spillage of dangerous goods','MARPOL issues','Fire/Smoke','Grounding','Drifting','Foundering/Sinking','Flooding','Near miss/Dangerous occurrence','Other'],
            'form_copy'           => ['Yes','No'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'imo_number'                 => 'Please enter imo number',
        'company_name'               => 'Please enter company name',
        'contact_details'            => 'Please enter contact details',
        'weather'                    => 'Please enter weather',
        'visibility'                 => 'Please select visibility',
        'vessel_activity'            => 'Please enter vessel activity',
        'passenger'                  => 'Please enter passenger',
        'others'                     => 'Please enter others',
        'pilot_board'                => 'Please select pilot board',
        'cargo_board'                => 'Please select cargo board',
        'cargo_type'                 => 'Please enter cargo type',
        'consequences'               => 'Please select consequences',
        'other_consequences'         => 'Please enter other consequences',
        'description'                => 'Please enter description',
        'happened_desc'              => 'Please enter happened desc',
        'prevent_desc'               => 'Please enter prevent desc',
        'person_name'                => 'Please enter person name',
        'person_role'                => 'Please enter person role',
        'person_phone'               => 'Please enter person phone',
        'form_copy'                  => 'Please select form copy',
        'files'                      => 'Please enter files',
        'no_of_people'               => 'Please enter no of people',
        'slug'                       => 'Please enter slug',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'imo_number'                 => 'Imo number',
        'company_name'               => 'Company name',
        'contact_details'            => 'Contact details',
        'weather'                    => 'Weather',
        'visibility'                 => 'Visibility',
        'vessel_activity'            => 'Vessel activity',
        'passenger'                  => 'Passenger',
        'others'                     => 'Others',
        'pilot_board'                => 'Pilot board',
        'cargo_board'                => 'Cargo board',
        'cargo_type'                 => 'Cargo type',
        'consequences'               => 'Consequences',
        'other_consequences'         => 'Other consequences',
        'description'                => 'Description',
        'happened_desc'              => 'Happened desc',
        'prevent_desc'               => 'Prevent desc',
        'person_name'                => 'Person name',
        'person_role'                => 'Person role',
        'person_phone'               => 'Person phone',
        'form_copy'                  => 'Form copy',
        'files'                      => 'Files',
        'no_of_people'               => 'No of people',
        'slug'                       => 'Slug',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'imo_number'                 => ['name' => 'Imo number', 'data-column' => 1, 'checked'],
        'company_name'               => ['name' => 'Company name', 'data-column' => 2, 'checked'],
        'contact_details'            => ['name' => 'Contact details', 'data-column' => 3, 'checked'],
        'weather'                    => ['name' => 'Weather', 'data-column' => 4, 'checked'],
        'visibility'                 => ['name' => 'Visibility', 'data-column' => 5, 'checked'],
        'vessel_activity'            => ['name' => 'Vessel activity', 'data-column' => 6, 'checked'],
        'passenger'                  => ['name' => 'Passenger', 'data-column' => 7, 'checked'],
        'others'                     => ['name' => 'Others', 'data-column' => 8, 'checked'],
        'pilot_board'                => ['name' => 'Pilot board', 'data-column' => 9, 'checked'],
        'cargo_board'                => ['name' => 'Cargo board', 'data-column' => 10, 'checked'],
        'cargo_type'                 => ['name' => 'Cargo type', 'data-column' => 11, 'checked'],
        'consequences'               => ['name' => 'Consequences', 'data-column' => 12, 'checked'],
        'other_consequences'         => ['name' => 'Other consequences', 'data-column' => 13, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 14, 'checked'],
        'happened_desc'              => ['name' => 'Happened desc', 'data-column' => 15, 'checked'],
        'prevent_desc'               => ['name' => 'Prevent desc', 'data-column' => 16, 'checked'],
        'person_name'                => ['name' => 'Person name', 'data-column' => 17, 'checked'],
        'person_role'                => ['name' => 'Person role', 'data-column' => 18, 'checked'],
        'person_phone'               => ['name' => 'Person phone', 'data-column' => 19, 'checked'],
        'form_copy'                  => ['name' => 'Form copy', 'data-column' => 20, 'checked'],
        'files'                      => ['name' => 'Files', 'data-column' => 21, 'checked'],
        'no_of_people'               => ['name' => 'No of people', 'data-column' => 22, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Forms',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
