<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('forms::forms.name') !!} <small> {!! trans('app.manage') !!} {!! trans('forms::forms.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('forms::forms.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='forms-forms-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('forms/forms')!!}">{!! trans('forms::forms.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('forms/forms?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('forms/forms?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('forms/forms/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('forms::admin.forms.partial.actions')
                    -->
                    @include('forms::admin.forms.partial.filter')
                    @include('forms::admin.forms.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="forms-forms-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="forms-forms-check-all"></th>
                        <th data-field="imo_number">{!! trans('forms::forms.label.imo_number')!!}</th>
                    <th data-field="company_name">{!! trans('forms::forms.label.company_name')!!}</th>
                    <th data-field="contact_details">{!! trans('forms::forms.label.contact_details')!!}</th>
                    <th data-field="weather">{!! trans('forms::forms.label.weather')!!}</th>
                    <th data-field="visibility">{!! trans('forms::forms.label.visibility')!!}</th>
                    <th data-field="vessel_activity">{!! trans('forms::forms.label.vessel_activity')!!}</th>
                    <th data-field="passenger">{!! trans('forms::forms.label.passenger')!!}</th>
                    <th data-field="others">{!! trans('forms::forms.label.others')!!}</th>
                    <th data-field="pilot_board">{!! trans('forms::forms.label.pilot_board')!!}</th>
                    <th data-field="cargo_board">{!! trans('forms::forms.label.cargo_board')!!}</th>
                    <th data-field="cargo_type">{!! trans('forms::forms.label.cargo_type')!!}</th>
                    <th data-field="consequences">{!! trans('forms::forms.label.consequences')!!}</th>
                    <th data-field="other_consequences">{!! trans('forms::forms.label.other_consequences')!!}</th>
                    <th data-field="description">{!! trans('forms::forms.label.description')!!}</th>
                    <th data-field="happened_desc">{!! trans('forms::forms.label.happened_desc')!!}</th>
                    <th data-field="prevent_desc">{!! trans('forms::forms.label.prevent_desc')!!}</th>
                    <th data-field="person_name">{!! trans('forms::forms.label.person_name')!!}</th>
                    <th data-field="person_role">{!! trans('forms::forms.label.person_role')!!}</th>
                    <th data-field="person_phone">{!! trans('forms::forms.label.person_phone')!!}</th>
                    <th data-field="form_copy">{!! trans('forms::forms.label.form_copy')!!}</th>
                    <th data-field="files">{!! trans('forms::forms.label.files')!!}</th>
                    <th data-field="no_of_people">{!! trans('forms::forms.label.no_of_people')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#forms-forms-entry', '{!!guard_url('forms/forms/0')!!}');
    oTable = $('#forms-forms-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('forms/forms') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'imo_number'},
            {data :'company_name'},
            {data :'contact_details'},
            {data :'weather'},
            {data :'visibility'},
            {data :'vessel_activity'},
            {data :'passenger'},
            {data :'others'},
            {data :'pilot_board'},
            {data :'cargo_board'},
            {data :'cargo_type'},
            {data :'consequences'},
            {data :'other_consequences'},
            {data :'description'},
            {data :'happened_desc'},
            {data :'prevent_desc'},
            {data :'person_name'},
            {data :'person_role'},
            {data :'person_phone'},
            {data :'form_copy'},
            {data :'files'},
            {data :'no_of_people'},
        ],
        "pageLength": 25
    });

    $('#forms-forms-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#forms-forms-list').DataTable().row( this ).data();
        $('#forms-forms-entry').load('{!!guard_url('forms/forms')!!}' + '/' + d.id);
    });

    $('#forms-forms-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#forms-forms-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#forms-forms-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#forms-forms-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>