<?php

// web routes  for forms
Route::prefix('{guard}/forms')->group(function () {
    Route::resource('forms', 'FormsResourceController');
});

// Public routes for forms
Route::get('forms/', 'FormsPublicController@index');
Route::get('forms/{slug?}', 'FormsPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'FormsResourceController');
            });
            // Public routes for pages
            Route::get('forms/', 'FormsPublicController@index');
            Route::get('forms/{slug?}', 'FormsPublicController@show');
        }
    );
}


// web routes  for user
Route::prefix('{guard}/forms')->group(function () {
    Route::resource('user', 'UserResourceController');
});

// Public routes for user
Route::get('forms/', 'UserPublicController@index');
Route::get('forms/{slug?}', 'UserPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'UserResourceController');
            });
            // Public routes for pages
            Route::get('forms/', 'UserPublicController@index');
            Route::get('forms/{slug?}', 'UserPublicController@show');
        }
    );
}

