<?php

namespace Moblyze\Form;

use User;

class Form
{
    /**
     * $forms object.
     */
    protected $forms;    /**
     * $user object.
     */
    protected $user;

    /**
     * Constructor.
     */
    public function __construct(\Moblyze\Form\Interfaces\FormsRepositoryInterface $forms,        \Moblyze\Form\Interfaces\UserRepositoryInterface $user)
    {
        $this->forms = $forms;        $this->user = $user;
    }

    /**
     * Returns count of form.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.forms.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->forms->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\FormsUserCriteria());
        }

        $forms = $this->forms->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('form::' . $view, compact('forms'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.user.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->user->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\UserUserCriteria());
        }

        $user = $this->user->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('form::' . $view, compact('user'))->render();
    }
}
