<?php

namespace Moblyze\Forms\Forms;

class Forms
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'imo_number' => [
                    "type" => 'text',
                    "label" => trans('forms::forms.label.imo_number'),
                    "placeholder" => trans('forms::forms.placeholder.imo_number'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'company_name' => [
                    "type" => 'text',
                    "label" => trans('forms::forms.label.company_name'),
                    "placeholder" => trans('forms::forms.placeholder.company_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_details' => [
                    "type" => 'text',
                    "label" => trans('forms::forms.label.contact_details'),
                    "placeholder" => trans('forms::forms.placeholder.contact_details'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'weather' => [
                    "type" => 'text',
                    "label" => trans('forms::forms.label.weather'),
                    "placeholder" => trans('forms::forms.placeholder.weather'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'visibility' => [
                    "type" => 'select',
                    "label" => trans('forms::forms.label.visibility'),
                    "placeholder" => trans('forms::forms.placeholder.visibility'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'vessel_activity' => [
                    "type" => 'text',
                    "label" => trans('forms::forms.label.vessel_activity'),
                    "placeholder" => trans('forms::forms.placeholder.vessel_activity'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'passenger' => [
                    "type" => 'numeric',
                    "label" => trans('forms::forms.label.passenger'),
                    "placeholder" => trans('forms::forms.placeholder.passenger'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'others' => [
                    "type" => 'numeric',
                    "label" => trans('forms::forms.label.others'),
                    "placeholder" => trans('forms::forms.placeholder.others'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'pilot_board' => [
                    "type" => 'select',
                    "label" => trans('forms::forms.label.pilot_board'),
                    "placeholder" => trans('forms::forms.placeholder.pilot_board'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'cargo_board' => [
                    "type" => 'select',
                    "label" => trans('forms::forms.label.cargo_board'),
                    "placeholder" => trans('forms::forms.placeholder.cargo_board'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'cargo_type' => [
                    "type" => 'text',
                    "label" => trans('forms::forms.label.cargo_type'),
                    "placeholder" => trans('forms::forms.placeholder.cargo_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'consequences' => [
                    "type" => 'select',
                    "label" => trans('forms::forms.label.consequences'),
                    "placeholder" => trans('forms::forms.placeholder.consequences'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'other_consequences' => [
                    "type" => 'text',
                    "label" => trans('forms::forms.label.other_consequences'),
                    "placeholder" => trans('forms::forms.placeholder.other_consequences'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'description' => [
                    "type" => 'text',
                    "label" => trans('forms::forms.label.description'),
                    "placeholder" => trans('forms::forms.placeholder.description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'happened_desc' => [
                    "type" => 'text',
                    "label" => trans('forms::forms.label.happened_desc'),
                    "placeholder" => trans('forms::forms.placeholder.happened_desc'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'prevent_desc' => [
                    "type" => 'text',
                    "label" => trans('forms::forms.label.prevent_desc'),
                    "placeholder" => trans('forms::forms.placeholder.prevent_desc'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'person_name' => [
                    "type" => 'text',
                    "label" => trans('forms::forms.label.person_name'),
                    "placeholder" => trans('forms::forms.placeholder.person_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'person_role' => [
                    "type" => 'text',
                    "label" => trans('forms::forms.label.person_role'),
                    "placeholder" => trans('forms::forms.placeholder.person_role'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'person_phone' => [
                    "type" => 'text',
                    "label" => trans('forms::forms.label.person_phone'),
                    "placeholder" => trans('forms::forms.placeholder.person_phone'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'form_copy' => [
                    "type" => 'select',
                    "label" => trans('forms::forms.label.form_copy'),
                    "placeholder" => trans('forms::forms.placeholder.form_copy'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'files' => [
                    "type" => 'images',
                    "label" => trans('forms::forms.label.files'),
                    "placeholder" => trans('forms::forms.placeholder.files'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'no_of_people' => [
                    "type" => 'numeric',
                    "label" => trans('forms::forms.label.no_of_people'),
                    "placeholder" => trans('forms::forms.placeholder.no_of_people'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
