<?php

namespace Moblyze\Form\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Moblyze\Form\Interfaces\FormsRepositoryInterface;

class FormsPublicController extends BaseController
{
    // use FormsWorkflow;

    /**
     * Constructor.
     *
     * @param type \Moblyze\Forms\Interfaces\FormsRepositoryInterface $forms
     *
     * @return type
     */
    public function __construct(FormsRepositoryInterface $forms)
    {
        $this->repository = $forms;
        parent::__construct();
    }

    /**
     * Show forms's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $forms = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('form::forms.names'))
            ->view('form::public.forms.index')
            ->data(compact('forms'))
            ->output();
    }


    /**
     * Show forms.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $forms = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($forms->name . trans('form::forms.name'))
            ->view('form::public.forms.show')
            ->data(compact('forms'))
            ->output();
    }

}
