<?php

namespace Moblyze\Forms\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FormsTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Forms\Models\Forms $forms)
    {
        return [
            'id'                => $forms->getRouteKey(),
            'key'               => [
                'public'    => $forms->getPublicKey(),
                'route'     => $forms->getRouteKey(),
            ], 
            'imo_number'        => $forms->imo_number,
            'company_name'      => $forms->company_name,
            'contact_details'   => $forms->contact_details,
            'weather'           => $forms->weather,
            'visibility'        => $forms->visibility,
            'vessel_activity'   => $forms->vessel_activity,
            'passenger'         => $forms->passenger,
            'others'            => $forms->others,
            'pilot_board'       => $forms->pilot_board,
            'cargo_board'       => $forms->cargo_board,
            'cargo_type'        => $forms->cargo_type,
            'consequences'      => $forms->consequences,
            'other_consequences' => $forms->other_consequences,
            'description'       => $forms->description,
            'happened_desc'     => $forms->happened_desc,
            'prevent_desc'      => $forms->prevent_desc,
            'person_name'       => $forms->person_name,
            'person_role'       => $forms->person_role,
            'person_phone'      => $forms->person_phone,
            'form_copy'         => $forms->form_copy,
            'files'             => $forms->files,
            'no_of_people'      => $forms->no_of_people,
            'slug'              => $forms->slug,
            'user_id'           => $forms->user_id,
            'user_type'         => $forms->user_type,
            'deleted_at'        => $forms->deleted_at,
            'url'               => [
                'public'    => trans_url('forms/'.$forms->getPublicKey()),
                'user'      => guard_url('forms/forms/'.$forms->getRouteKey()),
            ], 
            'status'            => trans('app.'.$forms->status),
            'created_at'        => format_date($forms->created_at),
            'updated_at'        => format_date($forms->updated_at),
        ];
    }
}