<?php

namespace Moblyze\Form\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class UserTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Form\Models\User $user)
    {
        return [
            'id'                => $user->getRouteKey(),
            'key'               => [
                'public'    => $user->getPublicKey(),
                'route'     => $user->getRouteKey(),
            ], 
            'user_id'           => $user->user_id,
            'australian_citizen' => $user->australian_citizen,
            'treatment'         => $user->treatment,
            'affected_person'   => $user->affected_person,
            'deleted_at'        => $user->deleted_at,
            'url'               => [
                'public'    => trans_url('form/'.$user->getPublicKey()),
                'user'      => guard_url('form/user/'.$user->getRouteKey()),
            ], 
            'status'            => trans('app.'.$user->status),
            'created_at'        => format_date($user->created_at),
            'updated_at'        => format_date($user->updated_at),
        ];
    }
}